#include <iostream>

using namespace std;
int spoj(int a,int b)
{
   int brojac=1;
   while(brojac<=b)
        brojac*=10;
    return a*brojac+b;
}

int main()
{
    int a,b,c,x,y,z,q,e,t,u,p,s,l;
    cin>>a>>b>>c;
    x=spoj(a,b);
    y=spoj(b,c);
    z=spoj(a,c);
    q=spoj(c,b);
    e=spoj(x,c);
    t=spoj(z,b);
    u=spoj(q,a);
    p=spoj(c,x);
    s=spoj(b,z);
    l=spoj(y,a);
    int maxi=e;
    if(t>maxi) maxi=t;
    else if(u>maxi) maxi=u;
    else if(p>maxi) maxi=p;
    else if(s>maxi) maxi=s;
    else if(l>maxi) maxi=l;
    cout<<maxi<<endl;
    return 0;
}